netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
session_info Struct Reference

`#include <uam.h>`

## Data Fields
void * | sessionkey
size_t | sessionkey_len
void * | cryptedkey
size_t | cryptedkey_len
void * | sessiontoken
size_t | sessiontoken_len
void * | clientid
size_t | clientid_len

## Field Documentation

## ◆ clientid

void* session_info::clientid

whole buffer cotaining e.g. idlen, id and boottime

## ◆ clientid_len

size_t session_info::clientid_len

## ◆ cryptedkey

void* session_info::cryptedkey

kerberos/gssapi crypted key

## ◆ cryptedkey_len

size_t session_info::cryptedkey_len

## ◆ sessionkey

void* session_info::sessionkey

random session key

## ◆ sessionkey_len

size_t session_info::sessionkey_len

## ◆ sessiontoken

void* session_info::sessiontoken

session token sent to the client on FPGetSessionToken

## ◆ sessiontoken_len

size_t session_info::sessiontoken_len

The documentation for this struct was generated from the following file:

- uam.h